package com.cygnusa.hyperm.wrappers;

import java.util.ArrayList;

public class NotificationResponse {

    private String response;
    private ArrayList<Notification> data;
    private String total;
    private int last_page;
    private int current_page;
    private String message;
    private String not_read_count;
    private String response_text;
    private int status;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public ArrayList<Notification> getData() {
        return data;
    }

    public void setData(ArrayList<Notification> data) {
        this.data = data;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public int getLast_page() {
        return last_page;
    }

    public void setLast_page(int last_page) {
        this.last_page = last_page;
    }

    public int getCurrent_page() {
        return current_page;
    }

    public void setCurrent_page(int current_page) {
        this.current_page = current_page;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getNot_read_count() {
        if (not_read_count == null || not_read_count.trim().isEmpty()) {
            return "0";
        }
        return not_read_count;
    }

    public void setNot_read_count(String not_read_count) {
        this.not_read_count = not_read_count;
    }

    public String getResponse_text() {
        return response_text;
    }

    public void setResponse_text(String response_text) {
        this.response_text = response_text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
